<?php
$action = (isset($_GET['action'])) ? sanitize_text_field( $_GET['action'] ) : '';
$heading = '';
$id = ( isset( $_GET['gallery'] ) ) ? absint( intval( $_GET['gallery'] ) ) : null;
$g_options = array(
    'columns_count'         => '3',
    'view_type'             => 'grid',
    "border_radius"         => "0",
    "admin_pagination"      => "all",
    "hover_zoom"            => "no",
    "show_gal_title"        => "on",
    "show_gal_desc"         => "on",
    "images_hover_effect"   => "simple",
    "hover_dir_aware"       => "slide",
    "images_border"         => "",
);
$gallery = array(
    "id"                => "",
    "title"             => "Demo title",
    "description"       => "Demo description",
    "images"            => "",
    "images_titles"     => "",
    "images_descs"      => "",
    "images_alts"       => "",
    "images_urls"       => "",
    "width"             => "1200",
    "height"            => "1000",
    "options"           => json_encode($g_options,true),
    "hover_effect"      => "fadeIn",
    "hover_opacity"     => "0.5",
    "image_sizes"       => "full_size",
    "custom_css"        => "",
    "lightbox_color"    => "#27AE60",
    "images_orderby"    => "noordering",
    "images_dates"      => "",
    "hover_icon"        => "search_plus",
    "show_title"        => "",
    "show_title_on"     => "gallery_image",
    "show_with_date"    => "",
    "images_distance"   => "20",
    "images_loading"    => "all_loaded",
);
switch( $action ) {
    case 'add':
        $heading = __('Add new gallery', $this->plugin_name);
        break;
    case 'edit':
        $heading = __('Edit gallery', $this->plugin_name);
        $gallery = $this->gallery_obj->get_gallery_by_id($id);
        break;
}

if(isset($_POST["ays-submit"]) || isset($_POST["ays-submit-top"])){
    $_POST["id"] = $id;
    $this->gallery_obj->add_or_edit_gallery($_POST);
}
if(isset($_POST["ays-apply"]) || isset($_POST["ays-apply-top"])){
    $_POST["id"] = $id;
    $_POST["submit_type"] = 'apply';
    $this->gallery_obj->add_or_edit_gallery($_POST);
}
$gal_options = json_decode($gallery['options'], true);
$show_gal_title = (!isset($gal_options['show_gal_title'])) ? 'on' : $gal_options['show_gal_title'];
$show_gal_desc = (!isset($gal_options['show_gal_desc'])) ? 'on' : $gal_options['show_gal_desc'];
$admin_pagination = (!isset($gal_options['admin_pagination']) ||
                     $gal_options['admin_pagination'] == null ||
                     $gal_options['admin_pagination'] == '') ? "all" : $gal_options['admin_pagination'];
$ays_hover_zoom = (!isset($gal_options['hover_zoom']) ||
                   $gal_options['hover_zoom'] == null ||
                   $gal_options['hover_zoom'] == '') ? "no" : $gal_options['hover_zoom'];
$show_thumb_title_on = (!isset($gallery['show_title_on']) || 
                       $gallery['show_title_on'] == false ||
                       $gallery['show_title_on'] == "") ? "gallery_image" : $gallery['show_title_on'];
$ays_images_hover_effect = (!isset($gal_options['images_hover_effect']) || 
                            $gal_options['images_hover_effect'] == '' ||
                            $gal_options['images_hover_effect'] == null) ? 'simple' : $gal_options['images_hover_effect'];
$ays_images_hover_dir_aware = (!isset($gal_options['hover_dir_aware']) ||
                              $gal_options['hover_dir_aware'] == null ||
                              $gal_options['hover_dir_aware'] == "") ? "slide" : $gal_options['hover_dir_aware'];
$ays_images_border = (!isset($gal_options['images_border'])) ? '' : $gal_options['images_border'];

$image_sizes = $this->ays_get_all_image_sizes();
//var_dump($gal_options);
?>

<div class="wrap">
    <div class="container-fluid">
    <form id="ays-gpg-form" method="post">	
    <h1 class="wp-heading-inline">
        <?php echo $heading; ?>
        <input type="submit" name="ays-submit-top" class="ays-submit action-button button-primary" value="<?php echo __("Save changes", $this->plugin_name);?>" />
        <?php if($id != null): ?>
        <input type="submit" name="ays-apply-top" class="ays-submit action-button button" value="<?php echo __("Apply changes", $this->plugin_name);?>" />
        <?php endif; ?>
    </h1>
    <?php
        echo "<style>
                .ays_ays_img {
                    display: block;
                    width: 100%;
                    height: 100%;
                    background-image: url('".AYS_GPG_ADMIN_URL .'images/no-photo.png'."');
                    background-size: 220px 125px;
                    background-position: center center;
                }
            </style>";
    ?>
    <div class="nav-tab-wrapper">
        <a href="#tab1" class="nav-tab nav-tab-active"><?php echo __("Images", $this->plugin_name);?></a>
        <a href="#tab2" class="nav-tab"><?php echo __("Settings", $this->plugin_name);?></a>
        <a href="#tab3" class="nav-tab"><?php echo __("Styles", $this->plugin_name);?></a>
    </div>
    <div id="tab1" class="ays-gallery-tab-content ays-gallery-tab-content-active">
        <br>
        <div class="form-group row">
            <div class="col-sm-3">
                <label for="gallery_title">
                    <?php echo __("Gallery Title", $this->plugin_name);?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("In this field is noted the name of the gallery", $this->plugin_name ); ?>">
                       <i class="fas fa-info-circle"></i>
                    </a>
                </label>
            </div>
            <div class="col-sm-9">
                <input type="text" required name="gallery_title" id="gallery_title" class="ays-text-input" placeholder="<?php echo __("Gallery Title", $this->plugin_name);?>" value="<?php echo wp_unslash($gallery["title"]); ?>"/>
            </div>
        </div>
        <hr/>
        <div class="ays-field">
            <label for="gallery_description">
                <?php echo __("Gallery Description", $this->plugin_name);?>
                <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section is noted for the description of the gallery", $this->plugin_name ); ?>">
                   <i class="fas fa-info-circle"></i>
                </a>
            </label>
            <textarea class="ays-textarea" name="gallery_description" id="gallery_description" placeholder="<?php echo __("Gallery Description", $this->plugin_name);?>"><?php echo wp_unslash($gallery["description"]); ?></textarea>
        </div>
        <hr/>
        <p class="ays-subtitle"><?php echo  __('Add Images', $this->plugin_name) ?></p>
        <h6><?php echo  __('Upload images for your gallery', $this->plugin_name) ?></h6>
        <button class="ays-add-images button"><?php echo __("Add image +", $this->plugin_name); ?></button>
        <button class="ays-add-multiple-images button"><?php echo __("Add multiple images +", $this->plugin_name); ?></button>
<!--        <button class="ays-add-video button"><?php //echo __("Add video +", $this->plugin_name); ?></button>-->
        <button type="button" class="ays_bulk_del_images button" disabled><?php echo __("Delete", $this->plugin_name); ?></button>
        <button type="button" class="ays_select_all_images button"><?php echo __("Select all", $this->plugin_name); ?></button>
        <input type="hidden" id="ays_image_lang_title" value="<?php echo __("It shows the name of the inserted picture", $this->plugin_name ); ?>">
        <input type="hidden" id="ays_image_lang_alt" value="<?php echo __("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name ); ?>">
        <input type="hidden" id="ays_image_lang_desc" value="<?php echo __("This field shows the description of the chosen image", $this->plugin_name ); ?>">
        <input type="hidden" id="ays_image_lang_url" value="<?php echo __("This section is for the URL address", $this->plugin_name ); ?>">
        <hr/>
        <div>
            <select name="ays_admin_pagination" id="ays_admin_pagination">
                <option <?php echo $admin_pagination == "all" ? "selected" : ""; ?> value="all"><?php echo __( "All", $this->plugin_name ); ?></option>
                <option <?php echo $admin_pagination == "5" ? "selected" : ""; ?> value="5"><?php echo __( "5", $this->plugin_name ); ?></option>
                <option <?php echo $admin_pagination == "10" ? "selected" : ""; ?> value="10"><?php echo __( "10", $this->plugin_name ); ?></option>
                <option <?php echo $admin_pagination == "15" ? "selected" : ""; ?> value="15"><?php echo __( "15", $this->plugin_name ); ?></option>
                <option <?php echo $admin_pagination == "20" ? "selected" : ""; ?> value="20"><?php echo __( "20", $this->plugin_name ); ?></option>
                <option <?php echo $admin_pagination == "25" ? "selected" : ""; ?> value="25"><?php echo __( "25", $this->plugin_name ); ?></option>
                <option <?php echo $admin_pagination == "30" ? "selected" : ""; ?> value="30"><?php echo __( "30", $this->plugin_name ); ?></option>
            </select>            
            <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field is for the creation of pagination", $this->plugin_name ); ?>">
               <i class="fas fa-info-circle"></i>
            </a>
            <span class="ays_gpg_image_hover_icon_text"><?php echo __( "Image pagination", $this->plugin_name ); ?></span>
        </div>
        <hr/>
        <div class="paged_ays_accordion">
        <?php
            if($id == null) :
        ?>
        <ul class="ays-accordion">
            <li>
                <i class="fas fa-trash-alt ays-delete-image"></i>
                <i class="fas fa-arrows-alt ays-move-images"></i>
                <div class="ays_del_li_div"><input type="checkbox" class="ays_del_li"/></div>
                <div class="ays_image_add_div">
                    <span class="ays_ays_img"></span>
                    <div class="ays_image_add_icon"><i class="fas fa-plus ays-upload-btn"></i></div>
                </div>
                <div class="ays_image_thumb">
                    <div class="ays_image_edit_div"><i class="fas fa-pencil-alt ays_image_edit"></i></div>
                    <img>
                </div>
                <input type="hidden" name="ays-image-path[]">
                <div class="ays-image-attributes">
                    <div class="ays_image_attr_item">
                        <label>
                            <?php echo __("Image title", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __("It shows the name of the inserted picture", $this->plugin_name ); ?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_title" type="text" name="ays-image-title[]" placeholder="<?php echo __("Image title", $this->plugin_name);?>"/>
                    </div>
                    <div class="ays_image_attr_item">
                        <label>
                            <?php echo __("Image alt", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name ); ?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_alt" type="text" name="ays-image-alt[]" placeholder="<?php echo __("Image alt", $this->plugin_name);?>"/>
                    </div>
                    <div class="ays_image_attr_item">
                        <label>
                            <?php echo __("Image description", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the description of the chosen image", $this->plugin_name ); ?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_desc" type="text" name="ays-image-description[]" placeholder="<?php echo __("Image description", $this->plugin_name);?>"/>
                    </div>
                    <div class="ays_image_attr_item">
                        <label>
                            <?php echo __("URL", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section is for the URL address", $this->plugin_name ); ?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                        <input class="ays_img_url" type="url" name="ays-image-url[]" placeholder="<?php echo __("URL", $this->plugin_name);?>"/>
                    </div>
                    <input type="hidden" name="ays-image-date[]" class="ays_img_date"/>
                </div>
            </li>
        </ul>
            <?php
                else:
                    $images = explode( "***", $gallery["images"] );
                    $images_titles = explode( "***", $gallery["images_titles"] );
                    $images_descriptions = explode( "***", $gallery["images_descs"] );
                    $images_alts = explode( "***", $gallery["images_alts"] );
                    $images_urls = explode( "***", $gallery["images_urls"] );
                    $images_dates = explode( "***", $gallery["images_dates"] );
                    if($admin_pagination != "all"){
                        $pages = ceil(count($images)/$admin_pagination);
                        $qanak = 0;
                        for($i = 0; $i < $pages; $i++){
                            if($i == 0){
                                $accordion_active = "ays_accordion_active";
                            }else{
                                $accordion_active = "";
                            }
                ?>
                <ul class="ays-accordion ays_accordion <?php echo $accordion_active; ?>" id="page_<?php echo $i; ?>">
                <?php
                    for ($key = $qanak, $j = 0; $key < count($images); $key++, $j++ ) {
                        if($j >= $admin_pagination){
                            $qanak = $key;
                            break;
                        }
                        ?>
                        <li>
                            <i class="fas fa-trash-alt ays-delete-image"></i>
                            <i class="fas fa-arrows-alt ays-move-images"></i>
                            <div class="ays_del_li_div"><input type="checkbox" class="ays_del_li"/></div>
                            <div class="ays_image_thumb" style="display: block;">
                                <div class="ays_image_edit_div"><i class="fas fa-pencil-alt ays_image_edit"></i></div>
                                <img class="ays_ays_img" style="background-image:none;" src="<?php echo $images[$key]; ?>">
                            </div>
                            <input type="hidden" name="ays-image-path[]" value="<?php echo $images[$key]; ?>">
                            <div class="ays-image-attributes">
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("Image title", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("It shows the name of the inserted picture", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                    <input class="ays_img_title" type="text" name="ays-image-title[]" placeholder="<?php echo __("Image title", $this->plugin_name);?>" value="<?php echo $images_titles[$key]; ?>"/>
                                </div>
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("Image alt", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                    <input class="ays_img_alt" type="text" name="ays-image-alt[]" placeholder="<?php echo __("Image alt", $this->plugin_name);?>" value="<?php echo $images_alts[$key]; ?>"/>
                                </div>
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("Image description", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the description of the chosen image", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                    <input class="ays_img_desc" type="text" name="ays-image-description[]" placeholder="<?php echo __("Image description", $this->plugin_name);?>" value="<?php echo $images_descriptions[$key]; ?>"/>
                                </div>
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("URL", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section is for the URL address", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                    <input class="ays_img_url" type="url" name="ays-image-url[]" placeholder="<?php echo __("URL", $this->plugin_name);?>" value="<?php echo $images_urls[$key]; ?>"/>
                                </div>
                                <input type="hidden" name="ays-image-date[]" class="ays_img_date" value="<?php echo $images_dates[$key]; ?>" />
                            </div>
                        </li>
                        <?php
                        }
                    ?>
                </ul>
                    <?php 
                        }
                    }else{
                ?>
                <ul class="ays-accordion">
                <?php
                    foreach ( $images as $key => $image ) {
                        ?>
                        <li>
                            <i class="fas fa-trash-alt ays-delete-image"></i>
                            <i class="fas fa-arrows-alt ays-move-images"></i>
                            <div class="ays_del_li_div"><input type="checkbox" class="ays_del_li"/></div>
                            <div class="ays_image_thumb" style="display: block;">
                                <div class="ays_image_edit_div"><i class="fas fa-pencil-alt ays_image_edit"></i></div>
                                <img class="ays_ays_img" style="background-image:none;" src="<?php echo $image; ?>">
                            </div>
                            <input type="hidden" name="ays-image-path[]" value="<?php echo $image; ?>">
                            <div class="ays-image-attributes">
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("Image title", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("It shows the name of the inserted picture", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                    <input class="ays_img_title" type="text" name="ays-image-title[]" placeholder="<?php echo __("Image title", $this->plugin_name);?>" value="<?php echo $images_titles[$key]; ?>"/>
                                </div>
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("Image alt", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the alternate text when the picture is not loaded or not found", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                    <input class="ays_img_alt" type="text" name="ays-image-alt[]" placeholder="<?php echo __("Image alt", $this->plugin_name);?>" value="<?php echo $images_alts[$key]; ?>"/>
                                </div>
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("Image description", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the description of the chosen image", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>                                    
                                    </label>
                                    <input class="ays_img_desc" type="text" name="ays-image-description[]" placeholder="<?php echo __("Image description", $this->plugin_name);?>" value="<?php echo $images_descriptions[$key]; ?>"/>
                                </div>
                                <div class="ays_image_attr_item">
                                    <label>
                                        <?php echo __("URL", $this->plugin_name);?>
                                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section is for the URL address", $this->plugin_name ); ?>">
                                           <i class="fas fa-info-circle"></i>
                                        </a>
                                    </label>
                                    <input class="ays_img_url" type="url" name="ays-image-url[]" placeholder="<?php echo __("URL", $this->plugin_name);?>" value="<?php echo $images_urls[$key]; ?>"/>
                                </div>
                                <input type="hidden" name="ays-image-date[]" class="ays_img_date" value="<?php echo $images_dates[$key]; ?>" />
                            </div>
                        </li>
                        <?php
                        }
                    }
                endif;
            ?>
            </ul>
            </div>
            <div class="ays_admin_pages">
                <ul>
                    <?php
                        if($admin_pagination != "all"){
                            if($pages > 0){
                                for($page = 0; $page < $pages; $page++ ){
                                    if($page == 0){
                                        $page_active = "ays_page_active";
                                    }else{
                                        $page_active = "";
                                    }
                                    echo "<li><a class='ays_page $page_active' href='#page_".($page)."'>".($page+1)."</a></li>";
                                }
                            }
                        }
                    ?>
                </ul>
            </div>
		</div>
		<div id="tab2" class="ays-gallery-tab-content">
            <p class="ays-subtitle"><?php echo  __('Create your gallery', $this->plugin_name) ?></p>
            <h6><?php echo  __('General options', $this->plugin_name) ?></h6>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Show gallery head", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("You can decide whether to show the title and description of the gallery or not", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <label class="ays_gpg_image_hover_icon"><?php echo __("Show gallery title ", $this->plugin_name);?>
                        <input type="checkbox" class="" name="ays_gpg_title_show" <?php
                           echo ($show_gal_title == "on") ? "checked" : ""; ?>/>
                        <a class="ays_help poqr_tooltip" data-toggle="tooltip" title="<?php echo __("If it is marked it will show the title", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                    <label class="ays_gpg_image_hover_icon"><?php echo __("Show gallery description ", $this->plugin_name);?>
                        <input type="checkbox" class="" name="ays_gpg_desc_show" <?php
                           echo ($show_gal_desc == "on") ? "checked" : ""; ?>/>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("If it is marked it will show the description", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_image_sizes">
                        <?php echo __("Thumbnail Size", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The size of the image in the thumbnail", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">            
                    <select name="ays_image_sizes" id="ays_image_sizes">
                        <option value="full_size"><?php echo __( 'Full size' ); ?></option>
                        <?php
                            foreach($image_sizes as $key => $size):
                        ?>
                            <option <?php echo $gallery["image_sizes"] == $key ? 'selected' : ''; ?> value="<?php echo $key; ?>">
                                <?php 
                                    $name = ucfirst($key); 
                                    echo __( "$name ({$size['width']}x{$size['height']})" ); 
                                ?>
                            </option>
                        <?php
                            endforeach;
                        ?>
                    </select>
                </div>
            </div>
            <hr>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_images_ordering">
                        <?php echo __("Images order by", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field arranges the images by parameters of title, date, random", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">				
                    <select name="ays_images_ordering" class="ays-text-input ays-text-input-short" id="ays_images_ordering">
                        <option <?php echo ($gallery['images_orderby'] == "noordering") ? "selected" : ""; ?> value="noordering"><?php echo __("No ordering", $this->plugin_name);?></option>
                        <option <?php echo ($gallery['images_orderby'] == "title") ? "selected" : ""; ?> value="title"><?php echo __("Title", $this->plugin_name);?></option>
                        <option <?php echo ($gallery['images_orderby'] == "date") ? "selected" : ""; ?> value="date"><?php echo __("Date", $this->plugin_name);?></option>
                        <option <?php echo ($gallery['images_orderby'] == "random") ? "selected" : ""; ?> value="random"><?php echo __("Random", $this->plugin_name);?></option>
                    </select>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Images loading", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The images are loaded according to two principles: already loaded gallery with images and at first opens gallery after then the images", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <div>
                        <label class="ays_gpg_image_hover_icon"><?php echo __("Global loading ", $this->plugin_name);?>
                            <input type="radio" class="" name="ays_images_loading" <?php
                               if($gallery['images_loading'] == '' || $gallery['images_loading'] == null){ echo 'checked'; }
                               echo ($gallery['images_loading'] == "all_loaded") ? "checked" : ""; ?> value="all_loaded"/>
                        </label>
                        <label class="ays_gpg_image_hover_icon"><?php echo __("Lazy loading ", $this->plugin_name);?> <input type="radio" class="" name="ays_images_loading" <?php echo ($gallery['images_loading'] == "current_loaded") ? "checked" : ""; ?> value="current_loaded"/></label>
                    </div>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="show_title">
                        <?php echo __("Show title on thumbnail", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The name of the image is written in the below of it", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <label class="ays_gpg_image_hover_icon"><?php echo __( "Show title ", $this->plugin_name); ?><input type="checkbox" id="show_title" class="" name="ays_gpg_show_title" <?php echo ($gallery['show_title'] == "on") ? "checked" : ""; ?>/></label>                    
                    
                    <div class="show_with_date" style="display: inline-block;"><?php echo __("Show on", $this->plugin_name); ?>: 
                        <label class="ays_gpg_image_hover_icon"><?php echo __( "Thumbnail hover ", $this->plugin_name); ?><input type="radio" class="ays_gpg_show_title_on" name="ays_gpg_show_title_on" <?php echo ($show_thumb_title_on == "image_hover") ? "checked" : ""; ?> value="image_hover"/></label>
                        <label class="ays_gpg_image_hover_icon"><?php echo __( "Gallery thumbnail ", $this->plugin_name); ?><input type="radio" class="ays_gpg_show_title_on" name="ays_gpg_show_title_on" <?php echo ($show_thumb_title_on == "gallery_image") ? "checked" : ""; ?> value="gallery_image"/></label>
                    </div>
                    
                    
                    <label class="show_with_date ays_gpg_image_hover_icon"><?php echo __( "Show with date ", $this->plugin_name); ?><input type="checkbox" id="show_with_date" class="" name="ays_gpg_show_with_date" <?php echo ($gallery['show_with_date'] == "on") ? "checked" : ""; ?>/></label>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="gallery_width">
                        <?php echo __("Gallery Width", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This field shows the width of the Gallery", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input type="text" id="gallery_width" class="ays-text-input ays-text-input-short" name="gallery_width" placeholder="<?php echo __("Gallery Width", $this->plugin_name);?>" value="<?php echo $gallery["width"] == 0 ? '' : $gallery["width"]; ?>"/>
                    <span class="ays_gpg_image_hover_icon_text"><?php echo __("For 100% leave blank", $this->plugin_name);?></span>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="gallery_height">
                        <?php echo __("Gallery Height", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This filed notes the height of the Gallery", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input type="number" id="gallery_height" class="ays-text-input ays-text-input-short" name="gallery_height" placeholder="<?php echo __("Gallery Height", $this->plugin_name);?>" value="<?php echo $gallery["height"];?>"/>
                </div>
            </div>
            <hr/>
            <?php
                if($gallery["options"] == "") :
            ?>
            <div id="ays-columns-count" class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Columns count. Default: 3", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The counts of the columns of the Gallery", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input type="number" name="ays-columns-count" class="ays-text-input ays-text-input-short" placeholder="<?php echo __("Default", $this->plugin_name);?>: 3"/>
                </div>
                <hr/>
            </div>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays-view-type">
                        <?php echo __("Gallery type", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section notes the type of the Gallery that is in what sequence should the pictures be", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <select name="ays-view-type" class="ays-text-input ays-text-input-short" id="ays-view-type">
                        <option value="grid"><?php echo __("Grid", $this->plugin_name);?></option>
                        <option value="mosaic"><?php echo __("Mosaic", $this->plugin_name);?></option>
                        <option value="masonry"><?php echo __("Masonry", $this->plugin_name);?></option>
                    </select>
                </div>
            </div>
            <?php
                else:
                    $gallery_options = json_decode($gallery['options'],true);
            ?>
            <div id="ays-columns-count" class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Columns count. Default: 3", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The counts of the columns of the Gallery", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input type="number" name="ays-columns-count" class="ays-text-input ays-text-input-short" placeholder="<?php echo __("Default", $this->plugin_name);?>: 3" value="<?php echo isset($gallery_options['columns_count']) ? $gallery_options['columns_count'] : 3; ?>"/>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays-view-type">
                        <?php echo __("Gallery type", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("This section notes the type of the Gallery that is in what sequence should the pictures be", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">					
                    <select name="ays-view-type" class="ays-text-input ays-text-input-short" id="ays-view-type">
                        <option value="grid" <?php echo ($gallery_options['view_type'] == "grid") ? "selected" : ""; ?>><?php echo __("Grid", $this->plugin_name);?></option>
                        <option value="mosaic" <?php echo ($gallery_options['view_type'] == "mosaic") ? "selected" : ""; ?>><?php echo __("Mosaic", $this->plugin_name);?></option>
                        <option value="masonry" <?php echo ($gallery_options['view_type'] == "masonry") ? "selected" : ""; ?>><?php echo __("Masonry", $this->plugin_name);?></option>
                    </select>
                </div>
            </div>
            <?php
                endif;
            ?>
		</div>
        <div id="tab3" class="ays-gallery-tab-content">
            <p class="ays-subtitle"><?php echo  __('Choose your gallery style', $this->plugin_name) ?></p>
            <h6><?php echo  __('Style options', $this->plugin_name) ?></h6>            
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Gallery images hover effect", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("Effect intended for hover according to animation", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <div>
                        <label class="ays_gpg_image_hover_icon"><?php echo __("Simple animation ", $this->plugin_name);?>
                            <input type="radio" class="ays_hover_effect_radio ays_hover_effect_radio_simple" name="ays_images_hover_effect" <?php
                               echo ($ays_images_hover_effect == "simple") ? "checked" : ""; ?> value="simple"/>
                        </label>
                        <label class="ays_gpg_image_hover_icon"><?php echo __("Diraction-aware ", $this->plugin_name);?> <input type="radio" class="ays_hover_effect_radio ays_hover_effect_radio_dir_aware" name="ays_images_hover_effect" <?php echo ($ays_images_hover_effect == "dir_aware") ? "checked" : ""; ?> value="dir_aware"/></label>
                    </div>
                </div>
            </div>
            <hr/>
            <div class="ays-field ays_effect_simple">
                <div class="form-group row">
                    <div class="col-sm-3">
                        <label for="gallery_img_hover_simple">
                            <?php echo __("Gallery images hover animation", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __("Hover appearing animation of the images of Gallery", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-9">
                        <select id="gallery_img_hover_simple" class="ays-text-input ays-text-input-short" name="ays_hover_simple">
                            <optgroup label="Fading Entrances">
                                <option <?php echo 'fadeIn' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="fadeIn">Fade In</option>
                                <option <?php echo 'fadeInDown' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="fadeInDown">Fade In Down</option>
                                <option <?php echo 'fadeInLeft' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="fadeInLeft">Fade In Left</option>
                                <option <?php echo 'fadeInRight' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="fadeInRight">Fade In Right</option>
                                <option <?php echo 'fadeInUp' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="fadeInUp">Fade In Up</option>
                            </optgroup>
                            <optgroup label="Sliding Entrances">
                                <option <?php echo ($gallery['hover_effect'] == "slideInUp") ? "selected" : ""; ?> value="slideInUp"><?php echo __("Slide Up", $this->plugin_name);?></option>
                                <option <?php echo ($gallery['hover_effect'] == "slideInDown") ? "selected" : ""; ?> value="slideInDown"><?php echo __("Slide Down", $this->plugin_name);?></option>
                                <option <?php echo ($gallery['hover_effect'] == "slideInLeft") ? "selected" : ""; ?> value="slideInLeft"><?php echo __("Slide Left", $this->plugin_name);?></option>
                                <option <?php echo ($gallery['hover_effect'] == "slideInRight") ? "selected" : ""; ?> value="slideInRight"><?php echo __("Slide Right", $this->plugin_name);?></option>
                            </optgroup>                                
                            <optgroup label="Zoom Entrances">
                                <option <?php echo 'zoomIn' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="zoomIn">Zoom In</option> 
                                <option <?php echo 'zoomInDown' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="zoomInDown">Zoom In Down</option> 
                                <option <?php echo 'zoomInLeft' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="zoomInLeft">Zoom In Left</option> 
                                <option <?php echo 'zoomInRight' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="zoomInRight">Zoom In Right</option> 
                                <option <?php echo 'zoomInUp' == $gallery['hover_effect'] ? 'selected' : ''; ?> value="zoomInUp">Zoom In Up</option> 
                            </optgroup>
                        </select>
                    </div>
                </div>
                <hr/>
            </div>
            <div class="ays-field ays_effect_dir_aware">
                <div class="form-group row">
                    <div class="col-sm-3">
                        <label for="gallery_img_hover_dir_aware">
                            <?php echo __("Gallery images hover animation", $this->plugin_name);?>
                            <a class="ays_help" data-toggle="tooltip" title="<?php echo __("Hover appearing animation of the images of Gallery", $this->plugin_name);?>">
                               <i class="fas fa-info-circle"></i>
                            </a>
                        </label>
                    </div>
                    <div class="col-sm-9">
                        <select id="gallery_img_hover_dir_aware" class="ays-text-input ays-text-input-short" name="ays_hover_dir_aware">
                            <option <?php echo 'slide' == $ays_images_hover_dir_aware ? 'selected' : ''; ?> value="slide"><?php echo __("Slide", $this->plugin_name);?></option>
                            <option <?php echo 'rotate3d' == $ays_images_hover_dir_aware ? 'selected' : ''; ?> value="rotate3d"><?php echo __("Rotate 3D", $this->plugin_name);?></option>
                        </select>
                    </div>
                </div>
                <hr/>
            </div>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Gallery images hover opacity", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The transparency degree of the image hover", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input class="gpg_opacity_demo_val" name="ays-gpg-image-hover-opacity" type="range" min="0" max="1" step="0.01" value="<?php echo isset($gallery['hover_opacity']) ? $gallery['hover_opacity'] : '0.5'; ?>">
                    <div class="gpg_opacity_demo"><?php echo __("Hover opacity preview", $this->plugin_name);?></div>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Gallery images hover zoom effect", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("During image hover, the zoom effect of the image", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <label class="ays_gpg_image_hover_icon"><?php echo __("Yes ", $this->plugin_name); ?><input name="ays_gpg_hover_zoom" type="radio" value="yes" <?php echo ($ays_hover_zoom == "yes") ? "checked" : ''; ?>></label>
                    <label class="ays_gpg_image_hover_icon"><?php echo __("No ", $this->plugin_name); ?><input name="ays_gpg_hover_zoom" type="radio" value="no" <?php echo ($ays_hover_zoom == "no") ? "checked" : ''; ?>></label>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Gallery images hover icon", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("During hover, the icon seen on the image", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <?php 
                        if($gallery['hover_icon'] == false || $gallery['hover_opacity'] == ''){
                            $ays_hover_icon = 'search_plus';
                        }else{
                            $ays_hover_icon = $gallery['hover_icon'];
                        }
                    ?>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="search_plus" <?php echo $ays_hover_icon == 'search_plus' ? 'checked' : ''; ?> />
                        <i class="fas fa-search-plus"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="search" <?php echo $ays_hover_icon == 'search' ? 'checked' : ''; ?>/>
                        <i class="fas fa-search"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="plus" <?php echo $ays_hover_icon == 'plus' ? 'checked' : ''; ?>/>
                        <i class="fas fa-plus"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="plus_circle" <?php echo $ays_hover_icon == 'plus_circle' ? 'checked' : ''; ?>/>
                        <i class="fas fa-plus-circle"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="plus_square_fas" <?php echo $ays_hover_icon == 'plus_square_fas' ? 'checked' : ''; ?>/>
                        <i class="fas fa-plus-square"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="plus_square_far" <?php echo $ays_hover_icon == 'plus_square_far' ? 'checked' : ''; ?>/>
                        <i class="far fa-plus-square"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="expand" <?php echo $ays_hover_icon == 'expand' ? 'checked' : ''; ?>/>
                        <i class="fas fa-expand"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="image_fas" <?php echo $ays_hover_icon == 'image_fas' ? 'checked' : ''; ?>/>
                        <i class="fas fa-image"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="image_far" <?php echo $ays_hover_icon == 'image_far' ? 'checked' : ''; ?>/>
                        <i class="far fa-image"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="images_fas" <?php echo $ays_hover_icon == 'images_fas' ? 'checked' : ''; ?>/>
                        <i class="fas fa-images"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="images_far" <?php echo $ays_hover_icon == 'images_far' ? 'checked' : ''; ?>/>
                        <i class="far fa-images"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="eye_fas" <?php echo $ays_hover_icon == 'eye_fas' ? 'checked' : ''; ?>/>
                        <i class="fas fa-eye"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="eye_far" <?php echo $ays_hover_icon == 'eye_far' ? 'checked' : ''; ?>/>
                        <i class="far fa-eye"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="camera_retro" <?php echo $ays_hover_icon == 'camera_retro' ? 'checked' : ''; ?>/>
                        <i class="fas fa-camera-retro"></i>
                    </label>
                    <label class="ays_gpg_image_hover_icon">
                        <input type="radio" name="ays-gpg-image-hover-icon" value="camera" <?php echo $ays_hover_icon == 'camera' ? 'checked' : ''; ?>/>
                        <i class="fas fa-camera"></i>
                    </label>
                    <p class="ays_gpg_image_hover_icon_text"><span><?php echo __("Select icon for the gallery images", $this->plugin_name);?></span></p>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Gallery images distance (px)", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The distance among images with pixels", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input name="ays-gpg-images-distance" class="ays-text-input ays-text-input-short" type="number" value="<?php echo !empty($gallery['images_distance']) ? ($gallery['images_distance']) : '20'; ?>">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label for="ays_gpg_images_border">
                        <?php echo __("Gallery images border", $this->plugin_name);?>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input id="ays_gpg_images_border" name="ays_gpg_images_border" class="" type="checkbox" <?php echo ($ays_images_border == 'on') ? 'checked' : ''; ?>>
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Gallery images border radius (px)", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The degree of borders curvature of images", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input name="ays-gpg-images-border-radius" class="ays-text-input ays-text-input-short" type="number" value="<?php echo !empty($gallery_options['border_radius']) ? ($gallery_options['border_radius']) : '0'; ?>">
                </div>
            </div>
            <hr/>
            <div class="form-group row">
                <div class="col-sm-3">
                    <label>
                        <?php echo __("Background color of the Gallery thumbnail title", $this->plugin_name);?>
                        <a class="ays_help" data-toggle="tooltip" title="<?php echo __("The color of the background of the Gallery Thumbnail title", $this->plugin_name);?>">
                           <i class="fas fa-info-circle"></i>
                        </a>
                    </label>
                </div>
                <div class="col-sm-9">
                    <input name="ays-gpg-lightbox-color" class="ays_gpg_lightbox_color" type="text" value="<?php echo isset($gallery['lightbox_color']) ? wp_unslash($gallery['lightbox_color']) : '#27AE60'; ?>" data-default-color="#27AE60">
                </div>
            </div>
            <hr/>
            <div class="ays-field">
                <label for="gallery_custom_css">
                    <?php echo __("Custom CSS", $this->plugin_name);?>
                    <a class="ays_help" data-toggle="tooltip" title="<?php echo __("You can add your CSS", $this->plugin_name);?>">
                       <i class="fas fa-info-circle"></i>
                    </a>
                </label>
                <textarea class="ays-textarea" name="gallery_custom_css" id="gallery_custom_css" placeholder="<?php echo __("Custom CSS", $this->plugin_name);?>"><?php echo htmlentities($gallery["custom_css"]); ?></textarea>
            </div>
        </div>
        <?php
            wp_nonce_field('ays_gallery_action', 'ays_gallery_action');
        ?>
        <hr/>
		<div class="ays_submit_button">
        	<input type="submit" name="ays-submit" class="ays-submit button-primary" value="<?php echo __("Save changes", $this->plugin_name);?>" />
            <?php if($id != null): ?>
        	<input type="submit" name="ays-apply" id="ays_submit_apply" class="ays-submit button" value="<?php echo __("Apply changes", $this->plugin_name);?>" />
            <?php endif; ?>
		</div>
    </form>
    </div>
    <button class="ays_gallery_live_preview" data-container="body" data-toggle="popover" data-placement="top" data-content="<?php echo __("View your gallery in live preview. In the preview you can’t see Thumbnail size and Image order changes.", $this->plugin_name);?>" data-original-title="<?php echo __("Gallery preview", $this->plugin_name);?>"><i class="fas fa-search-plus"></i></button>
    <input type="hidden" id="ays_gpg_admin_url" value="<?php echo AYS_GPG_ADMIN_URL; ?>"/>
    <!--  Start modal preview -->
    <div class="ays_gallery_live_preview_popup">
        <a class="ays_live_preview_close"><i class="far fa-times-circle"></i></a>
        <div class='ays_gallery_container'>            
        </div>
        <div class="ays_gpg_live_overlay"></div>
    </div>
    <!--  End modal preview -->
</div>